<?php
namespace OCA\Dematpayslip\Db;

use OCP\IDbConnection;
use OCP\AppFramework\Db\QBMapper;

class DematpayslipArchiveMapper extends QBMapper {

    public function __construct(IDbConnection $db) {
        parent::__construct($db, 'dematpayslip_archive', DematpayslipArchive::class);
    }

    public function find(int $id) {
        $qb = $this->db->getQueryBuilder();

        $qb->select('*')
            ->from($this->getTableName())
            ->where(
                $qb->expr()->eq('id', $qb->createNamedParameter($id))
            );

        return $this->findEntity($qb);
    }

    public function findAllByIdFile(int $idFile) {
        $qb = $this->db->getQueryBuilder();

        $qb->select('*')
            ->from($this->getTableName())
            ->where(
                $qb->expr()->eq('id_file', $qb->createNamedParameter($idFile))
            );

        return $this->findEntities($qb);
    }

    public function findAll() {
        $qb = $this->db->getQueryBuilder();

        $qb->select('*')
            ->from($this->getTableName());

        return $this->findEntities($qb);
    }
}
